libsidplayfp::Bank Class Referenceabstract

`#include <Bank.h>`

Inheritance diagram for libsidplayfp::Bank:

## Public Member Functions

virtual void | poke (uint_least16_t address, uint8_t value)=0
virtual uint8_t | peek (uint_least16_t address)=0

## Detailed Description

Base interface for memory and I/O banks.

## Member Function Documentation

## peek()

virtual uint8_t libsidplayfp::Bank::peek | ( | uint_least16_t | address | ) |

pure virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implemented in libsidplayfp::DisconnectedBusBank, libsidplayfp::c64vic, libsidplayfp::c64sid, libsidplayfp::c64cia2, libsidplayfp::c64cia1, libsidplayfp::ZeroRAMBank, libsidplayfp::romBank< N >, libsidplayfp::romBank< 0x2000 >, libsidplayfp::romBank< 0x1000 >, libsidplayfp::SystemRAMBank, libsidplayfp::ColorRAMBank, libsidplayfp::SidBank, libsidplayfp::IOBank, and libsidplayfp::ExtraSidBank.

## poke()

virtual void libsidplayfp::Bank::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

pure virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implemented in libsidplayfp::romBank< N >, libsidplayfp::romBank< 0x2000 >, libsidplayfp::romBank< 0x1000 >, libsidplayfp::DisconnectedBusBank, libsidplayfp::c64vic, libsidplayfp::c64sid, libsidplayfp::c64cia2, libsidplayfp::c64cia1, libsidplayfp::ZeroRAMBank, libsidplayfp::SystemRAMBank, libsidplayfp::ColorRAMBank, libsidplayfp::SidBank, libsidplayfp::IOBank, and libsidplayfp::ExtraSidBank.

The documentation for this class was generated from the following file:

- Bank.h